#include "stm32f1xx_hal.h"

#define STATUS_START       0
#define STATUS_COMMAND     1
#define STATUS_ADDRESS     2
#define STATUS_REPEAT      3
#define STATUS_ERROR       10

extern unsigned char IR_Command;
extern unsigned char IR_Address;

extern unsigned char IR_CommandNumber[3];
extern unsigned char IRStatus;

void IR_handler(void);
void ClearIRStatus(void);
void ClearIRCommand(void);
void ClearIR(void);
void SetShiftReg_inline (unsigned char b1, unsigned char b2, unsigned char b3);
void SetShiftReg (unsigned char shiftreg[3]);

enum IR_CMD_LIST {
	IR_FRONT_LEFT = 20,
	IR_FRONT_MID = 58,
	IR_FONT_RIGHT = 21,
	IR_MACRO = 63,
	IR_PROG = 37,
	IR_SHOT = 56,
	IR_NUM_1 = 0,
	IR_NUM_2 = 1,
	IR_NUM_3 = 2,
	IR_NUM_4 = 3,
	IR_NUM_5 = 4,
	IR_NUM_6 = 5,
	IR_NUM_7 = 6,
	IR_NUM_8 = 7,
	IR_NUM_9 = 8,
	IR_NUM_0 = 9,
	IR_DEBUG = 29, // -/--
	IR_PAUSE = 43,
	IR_STOP = 116,
	IR_START = 124,
	IR_F_BTN = 23,
	IR_ESC = 117,
	IR_ENTER = 97,
	IR_TEMPO_INC = 60,
	IR_TEMPO_DEC = 54,
	IR_ENGINE_UP_INC = 18, // скорость верхнего мотора
	IR_ENGINE_UP_DEC = 19,
	IR_ENGINE_DOWM_INC = 16,
	IR_ENGINE_DOWM_DEC = 17
};
